#!/bin/bash

if [ -f ".env" ]; then
	source .env
fi

if [[ "${DB_FILE}" != "" ]]; then
	FULL_DATABASE=`realpath "${DB_FILE}"`
else
	FULL_DATABASE=`realpath "./draw.sqlite"`
fi

db () {
	sqlite3 "${FULL_DATABASE}" "${1}"
}

dbSetup () {
	cat "./sql/setup.sql" | sqlite3 "${FULL_DATABASE}"
}

hashStr () {
	echo -n "${1}" | sha256sum | awk '{print $1}'
}

hashFile () {
	sha256sum "${1}" | awk '{print $1}'
}

uuid () {
	uuidgen | tr "[:upper:]" "[:lower:]"
}

askContinue () {
	echo "${1}"
	echo "Are you ready to continue? (yes/no)"
	read input
	if [ "$input" != "n" ] && [ "$input" != "no" ]
	then
		echo "${2}"
	else
		exit 1
	fi
}

axdraw () {
	file=$(realpath "${1}")
	echo "FILE:${file}"
	if [[ "${PEN}" != "" ]]; then
		echo "PEN:${PEN}"
	fi
	echo "START:$(date '+%s')"
	ax "${1}" 2>&1
	echo "END:$(date '+%s')"
}